Index: dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/readaerosol.F90
===================================================================
--- dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/readaerosol.F90	(revision 3809)
+++ dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/readaerosol.F90	(revision 3814)
@@ -130,5 +130,5 @@
            IF (klev_src /= klev_src2) THEN
               WRITE(lunout,*) 'Two aerosols files with different number of vertical levels is not allowded'
-              CALL abort_gcm('readaersosol','Error in number of vertical levels',1)
+              CALL abort_physic('readaersosol','Error in number of vertical levels',1)
            END IF
            
@@ -162,5 +162,5 @@
   ELSE
      WRITE(lunout,*)'This option is not implemented : aer_type = ', type,' name_aero=',name_aero
-     CALL abort_gcm('readaerosol','Error : aer_type parameter not accepted',1)
+     CALL abort_physic('readaerosol','Error : aer_type parameter not accepted',1)
   END IF ! type
 
@@ -260,5 +260,5 @@
           WRITE(lunout,*) 'longitudes in model :', io_lon
           
-          CALL abort_gcm('get_aero_fromfile', 'longitudes are not the same in file and model',1)
+          CALL abort_physic('get_aero_fromfile', 'longitudes are not the same in file and model',1)
        END IF
 
@@ -283,5 +283,5 @@
           WRITE(lunout,*) 'latitudes in file ', TRIM(fname),' : ', lat_src      
           WRITE(lunout,*) 'latitudes in model :', io_lat
-          CALL abort_gcm('get_aero_fromfile', 'latitudes do not correspond between file and model',1)
+          CALL abort_physic('get_aero_fromfile', 'latitudes do not correspond between file and model',1)
        END IF
 
@@ -297,5 +297,5 @@
           IF (ierr /= NF90_NOERR) THEN
              ! Dimension PRESNIVS not found either
-             CALL abort_gcm('get_aero_fromfile', 'dimension lev or presnivs not in file',1)
+             CALL abort_physic('get_aero_fromfile', 'dimension lev or presnivs not in file',1)
           ELSE 
              ! Old file found
@@ -315,8 +315,8 @@
      ! Allocate variables depending on the number of vertical levels
        ALLOCATE(varmth(iim, jjm+1, klev_src), varyear(iim, jjm+1, klev_src, 12), stat=ierr)
-       IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 1',1)
+       IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 1',1)
 
        ALLOCATE(pt_ap(klev_src), pt_b(klev_src), varktmp(klev_src), stat=ierr)
-       IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 2',1)
+       IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 2',1)
 
 ! 3) Read all variables from file
@@ -333,5 +333,5 @@
 !       IF (nbr_tsteps /= 12 .AND. nbr_tsteps /= 14) THEN
        IF (nbr_tsteps /= 12 ) THEN
-         CALL abort_gcm('get_aero_fromfile', 'not the right number of months in aerosol file read (should be 12 for the moment)',1)
+         CALL abort_physic('get_aero_fromfile', 'not the right number of months in aerosol file read (should be 12 for the moment)',1)
        ENDIF
 
@@ -522,5 +522,5 @@
        
        ALLOCATE(varyear_glo1D(klon_glo, klev_src, 12), stat=ierr)
-       IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 3',1)
+       IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 3',1)
        
        ! Transform from 2D to 1D field
@@ -546,5 +546,5 @@
     IF (.NOT. ASSOCIATED(pt_ap)) THEN  ! if pt_ap is allocated also pt_b is allocated
        ALLOCATE(pt_ap(klev_src), pt_b(klev_src), stat=ierr)
-       IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 4',1)
+       IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 4',1)
     END IF
     CALL bcast(pt_ap)
@@ -554,5 +554,5 @@
     IF (ASSOCIATED(pt_year)) DEALLOCATE(pt_year)
     ALLOCATE(pt_year(klon, klev_src, 12), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 5',1)
+    IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 5',1)
 
     ! Scatter global field to local domain at local process
@@ -583,5 +583,5 @@
           WRITE(lunout,*) 'Error in get_aero_fromfile : ',text
        END IF
-       CALL abort_gcm('get_aero_fromfile',trim(nf90_strerror(status)),1)
+       CALL abort_physic('get_aero_fromfile',trim(nf90_strerror(status)),1)
     END IF
 
